//
// FILE:     RisingFallingCannonBall.java
// AUTHOR:   Eugene Wallingford
// DATE:     2012/10/23
// COMMENT:  A CannonBall that is blue while rising
//           and red while falling.
//
// MODIFIED: 
// CHANGE:   
//

import java.awt.Color;

public class RisingFallingCannonBall extends CannonBall
{
  public RisingFallingCannonBall( int startX, int startY, int radius,
                     double deltaX, double deltaY )
  {
    super( startX, startY, radius, deltaX, deltaY );
  }
  
  public void move()
  {
    if ( yDeltaIsPositive() )      // change color, if necessary
      become( Color.red );
    else
      become( Color.blue );
    
    super.move();                  // and move as usual
  }
}
